# 59. Kysely: hae "AsAppliedDatasets"

Hae kaikki valitun "Pellon" "AsAppliedDatasets"-aineistot. Aineistoja voidaan hakea yleisillä GraphQL-kyselyillä kuten `getFarms` ja `getFields` liitetyltä "Field"-alueelta.&#x20;

{% hint style="warning" %}
"AsAppliedDataset" on ladattava etukäteen.
{% endhint %}

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query GetAsAppliedDatasetsViaGetFarms {
  getFarms (farmUuids: ["<placeholder_of_farm_uuid>"]) {
    uuid 
    nimi
    fields (fieldUuids: ["<placeholder_of_field_uuid>"]) {
      uuid
      asAppliedDatasets {
        uuid 
        nimi
        number #geopiirteiden kokonaismäärä 
        geometryType 
        totalCoveredArea(unit: HECTARES) 
        fieldCoverage 
        fieldCoveredArea(unit: HECTARES)
  
        attributes
        
        fullAttributes { #täydelliset tiedot per attribuutti
          name #linkki tilastoon >> attribuutti
          transliteratedName
          fullName #oikea ihmisen luettava nimi
          yksikkö#mittayksikkö
        }

        usedMachines { #käytetyt koneet
          id
          sarjanumero
          kuljettajaId
        } 

        createdDate #entiteetin luontiaika GeoPardissa
        updatedDate #viimeisin päivitysaika
        operationId
        operationType
        toimintotiedostoPäivämäärä #tiedoston luomisen aikaleima tulee metatiedoista 
        toiminnanAlkamispäivä #toiminnon alkamisaika tulee metatiedoista
        
        tilastot { #tilastojen jakauma jokaiselle attribuutille
          attribute
          min
          max
          avg
          mdn
          var
          std
          sum
        }

        geoKartat {
          url
          lyhytNimi
          hexVärikoodit
          luokat
        }
      }
    }
  } 
}
```

{% endcode %}

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query GetAsAppliedDatasetsViaGetFields { 
  getFields (filter: {fieldUuid: "<placeholder_of_field_uuid>"}) { 
    fields { 
      uuid
      area(unit: HECTARES) 
      asAppliedDatasets(asAppliedDatasetUuids: ["placeholder_of_dataset_uuid"]) { 
        uuid 
        nimi
        number #geopiirteiden kokonaismäärä 
        geometryType 
        totalCoveredArea(unit: HECTARES) 
        fieldCoverage 
        fieldCoveredArea(unit: HECTARES)
  
        attributes
        
        fullAttributes { #täydelliset tiedot per attribuutti
          name #linkki tilastoon >> attribuutti
          transliteratedName
          fullName #oikea ihmisen luettava nimi
          yksikkö#mittayksikkö
        }

        usedMachines { #käytetyt koneet
          id
          sarjanumero
          kuljettajaId
        } 

        createdDate #entiteetin luontiaika GeoPardissa
        updatedDate #viimeisin päivitysaika
        operationId
        operationType
        toimintotiedostoPäivämäärä #tiedoston luomisen aikaleima tulee metatiedoista 
        toiminnanAlkamispäivä #toiminnon alkamisaika tulee metatiedoista
        
        tilastot { #tilastojen jakauma jokaiselle attribuutille
          attribute
          min
          max
          avg
          mdn
          var
          std
          sum
        }

        geoKartat {
          url
          lyhytNimi
          hexVärikoodit
          luokat
        }
      }
    }
  } 
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/fin/api-dokumentaatio/geopard-api-pyyntojen-yleiskatsaus/59.-kysely-hae-asapplieddatasets.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
